#include <stdio.h>
#include <stdlib.h>

// https://solarianprogrammer.com/2019/04/03/c-programming-read-file-lines-fgets-getline-implement-portable-getline/

// This works! The file has to be where the .exe is which makes sense.
void read_file(const char* file_name) {
    FILE *fp = fopen(file_name, "r");

    // Check if file exists
    if (fp == NULL) {
        // perror("Unable to open file %s!", file_name);
        perror("Unable to open file! ");
        exit(1);
    }

    char chunk[128];

    while (fgets(chunk, sizeof(chunk), fp) != NULL) {
        fputs(chunk, stdout);
        // fputs("\n", stdout); // Marker string used to show where the content of the chunk array has ended.
    }

    // Close the file
    fclose(fp);
}